dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed block formation
--LManager:AddTable(eTYPE_TABLE1, 200, 260);
--LManager:AddTable(eTYPE_TABLE2, 380, 260);
--LManager:AddTable(eTYPE_TABLE3, 560, 260);
--LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE8, 280, 490);
LManager:AddTable(eTYPE_TABLE9, 460, 490);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 5;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 32000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 90000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 145000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 165000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 183000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 22000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 48000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 104000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 138000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 146000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 72000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 99000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 116000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 166000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 200000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 64000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 125000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 146000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 216000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 11000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 80000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 157000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 191000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 208000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 216000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,5);
LManager:SetLevelScores(6775, 7750);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();